import selectLang from './select';
import tableLang from './table';
import userLang from './user';
import systemLang from './system';
import InputLang from './input';
import OtherLang from './other';
import acronLang from './acron';

const zh_CN = {};
const en_US = {};

function formatLang(langObject) {
    for (const key in langObject) {
        const element = langObject[key];
        if (zh_CN[key]) {
            console.warn('当前key值: ', key, '已经被注册了');
        }
        zh_CN[key] = element[0];
        en_US[key] = element[1];
    }
}

formatLang(selectLang);
formatLang(tableLang);
formatLang(userLang);
formatLang(systemLang);
formatLang(InputLang);
formatLang(OtherLang);
formatLang(acronLang);

export { en_US, zh_CN };
